Eliminar una función de una definición
curl --request DELETE \
--url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Funciones
Delete a function for a definition
Eliminar una función dentro de una definición dada.
DELETE
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
Eliminar una función de una definición
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID de la aplicación de la que se eliminará la función.
El ID de la definición de la que se eliminará la función.
El tipo de función que se eliminará, con lo siguientes valores aceptados: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.
Opciones disponibles:
POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS Respuesta
Última modificación el 3 de abril de 2026